/**************************************************************************/
/* GE30 ( パラメータテーブル )                                            */
/*                                                                        */
/* Created : 2009/12/10 12:30:15                                          */
/**************************************************************************/
CREATE TABLE GE30 (
   SYSTEM_ID VARCHAR(10)                  NOT NULL                  /* 10  システムID        */
 , PTN_ID    VARCHAR(20)                  NOT NULL                  /* 20  定型文ID          */
 , FROM_ID   VARCHAR(50)                  NOT NULL                  /* 30  送信者ID          */
 , TO_ID     BLOB                                                   /* 40  宛先（TO）        */
 , CC_ID     BLOB                                                   /* 50  宛先（CC）        */
 , BCC_ID    BLOB                                                   /* 60  宛先（BCC）       */
 , H_TXT     VARCHAR(1000)                                          /* 70  ヘッダー自由文    */
 , F_TXT     VARCHAR(1000)                                          /* 80  フッター自由文    */
 , GAMEN_URL VARCHAR(300)                                           /* 90  画面URL（暗号化） */
 , PARAM0    VARCHAR(1000)                                          /* 100 パラメータ０      */
 , PARAM1    VARCHAR(1000)                                          /* 110 パラメータ１      */
 , PARAM2    VARCHAR(1000)                                          /* 120 パラメータ２      */
 , PARAM3    VARCHAR(1000)                                          /* 130 パラメータ３      */
 , PARAM4    VARCHAR(1000)                                          /* 140 パラメータ４      */
 , PARAM5    VARCHAR(1000)                                          /* 150 パラメータ５      */
 , PARAM6    VARCHAR(1000)                                          /* 160 パラメータ６      */
 , PARAM7    VARCHAR(1000)                                          /* 170 パラメータ７      */
 , PARAM8    VARCHAR(1000)                                          /* 180 パラメータ８      */
 , PARAM9    VARCHAR(1000)                                          /* 190 パラメータ９      */
 , ATTACH1   VARCHAR(256)                                           /* 200 添付１            */
 , ATTACH2   VARCHAR(256)                                           /* 210 添付２            */
 , ATTACH3   VARCHAR(256)                                           /* 220 添付３            */
 , ATTACH4   VARCHAR(256)                                           /* 230 添付４            */
 , ATTACH5   VARCHAR(256)                                           /* 240 添付５            */
 , UNIQ      BIGINT                       NOT NULL PRIMARY KEY      /* 800 ユニークキー      */
 , FGJ       VARCHAR(1)       DEFAULT '1' NOT NULL                  /* 810 状態フラグ        */
 , DYSET     VARCHAR(14)                                            /* 820 登録日時          */
 , PGSET     VARCHAR(10)                                            /* 830 作成PG            */
 , PGPSET    VARCHAR(10)                                            /* 840 作成親PG          */
 , USRSET    VARCHAR(10)                                            /* 850 作成社員          */
 , DYUPD     VARCHAR(14)                                            /* 860 更新日時          */
 , PGUPD     VARCHAR(10)                                            /* 870 更新PG            */
 , PGPUPD    VARCHAR(10)                                            /* 880 更新親PG          */
 , USRUPD    VARCHAR(10)                                            /* 890 更新者            */
);

CREATE SEQUENCE GE30S01 ;


CREATE TRIGGER GE30T01 FOR GE30
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GE30S01,1 );
  END; 


